org.apache.geode.cache.configuration

## Class PoolType.Locator

- java.lang.Object
- - org.apache.geode.cache.configuration.PoolType.Locator

- Enclosing class:
    PoolType

      public static class PoolType.Locator
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `host`
    `protected java.lang.String` | `port`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Locator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHost()` Gets the value of the host property.
    `java.lang.String` | `getPort()` Gets the value of the port property.
    `void` | `setHost(java.lang.String value)` Sets the value of the host property.
    `void` | `setPort(java.lang.String value)` Sets the value of the port property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### host

          protected java.lang.String host

    - #### port

          protected java.lang.String port

  - ### Constructor Detail

    - #### Locator

          public Locator()

  - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

      Gets the value of the host property. possible object is `String`

    - #### setHost

          public void setHost(java.lang.String value)

      Sets the value of the host property. allowed object is `String`

    - #### getPort

          public java.lang.String getPort()

      Gets the value of the port property. possible object is `String`

    - #### setPort

          public void setPort(java.lang.String value)

      Sets the value of the port property. allowed object is `String`